From: "Ian Stakenvicius" <axs@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-pda/libimobiledevice/
Date: Mon, 21 Dec 2015 15:43:50 +0000 (UTC) [thread overview]
Message-ID: <1450712613.f96ecebd8c52627632dedd94fa3a05133cbe473a.axs@gentoo> (raw)
commit: f96ecebd8c52627632dedd94fa3a05133cbe473a
Author: Ian Stakenvicius <axs <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 21 15:42:55 2015 +0000
Commit: Ian Stakenvicius <axs <AT> gentoo <DOT> org>
CommitDate: Mon Dec 21 15:43:33 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f96ecebd
app-pda/libimobiledevice: version bump, fix multi-python builds
Reworked the ebuild so that it will properly build for multiple python
implementations. Committed 1.1.6-r1 for immediate stablereq, and bumped to latest
upstream 1.2.0
Package-Manager: portage-2.2.24
app-pda/libimobiledevice/Manifest | 1 +
.../libimobiledevice-1.1.6-r1.ebuild | 91 ++++++++++++++++++++++
.../libimobiledevice/libimobiledevice-1.2.0.ebuild | 91 ++++++++++++++++++++++
3 files changed, 183 insertions(+)
diff --git a/app-pda/libimobiledevice/Manifest b/app-pda/libimobiledevice/Manifest
index 29dd46e..6441fa7 100644
--- a/app-pda/libimobiledevice/Manifest
+++ b/app-pda/libimobiledevice/Manifest
@@ -1 +1,2 @@
DIST libimobiledevice-1.1.6.tar.bz2 619429 SHA256 1fcd56489a27181617507b1d8aaf122f66d9860c0fe5af4c78f9e0ed129e33e0 SHA512 ffc741eba65e73890ff50c906520b02189169ca92e95bcd3c8805caa1b1b44e4b1eaddad438c10fdbc112a867cdcfbe6a3dd667be1c639ad5a72ce621ee41a4f WHIRLPOOL 412c6f7523cd17178f639f7c3a8baa89857eff9c85d5e009bcb991591ca1304b6e4f80c2644289105831ee74d8848bee24708b598853a9444f4188a6731b9aa7
+DIST libimobiledevice-1.2.0.tar.bz2 631495 SHA256 786b0de0875053bf61b5531a86ae8119e320edab724fc62fe2150cc931f11037 SHA512 0de5f768aeb5d62445892855d84ceaff776f6667733c351ed6c34bf9d500802762d1a06e5efdf57f33cafc9ee788041cd9b6748fb9bad6c2e4ae2f9b9aa93589 WHIRLPOOL ca0d709fcc844811fa19b1b149afd81c15f75c213384789b1bc1a4ec838f12ffa33c6f78753befd4eae81156cb1c002d24e7ddc50a59f374164c33ddfd37ddb6
diff --git a/app-pda/libimobiledevice/libimobiledevice-1.1.6-r1.ebuild b/app-pda/libimobiledevice/libimobiledevice-1.1.6-r1.ebuild
new file mode 100644
index 0000000..2ea6d8d
--- /dev/null
+++ b/app-pda/libimobiledevice/libimobiledevice-1.1.6-r1.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_3,3_4,3_5} )
+inherit eutils python-r1
+
+DESCRIPTION="Support library to communicate with Apple iPhone/iPod Touch devices"
+HOMEPAGE="http://www.libimobiledevice.org/"
+SRC_URI="http://www.libimobiledevice.org/downloads/${P}.tar.bz2"
+
+# While COPYING* doesn't mention 'or any later version', all the headers do, hence use +
+LICENSE="GPL-2+ LGPL-2.1+"
+SLOT="0/4" # based on SONAME of libimobiledevice.so
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
+IUSE="gnutls python static-libs"
+
+RDEPEND=">=app-pda/libplist-1.11:=
+ >=app-pda/libusbmuxd-1.0.9:=
+ gnutls? (
+ dev-libs/libgcrypt:0
+ >=dev-libs/libtasn1-1.1
+ >=net-libs/gnutls-2.2.0
+ )
+ !gnutls? ( dev-libs/openssl:0 )
+ python? (
+ ${PYTHON_DEPS}
+ app-pda/libplist[python(-),${PYTHON_USEDEP}]
+ )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ python? ( >=dev-python/cython-0.17[${PYTHON_USEDEP}] )"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DOCS=( AUTHORS NEWS README )
+
+BUILD_DIR="${S}_build"
+
+src_configure() {
+ local ECONF_SOURCE=${S}
+
+ local myeconfargs=( $(use_enable static-libs static) )
+ use gnutls && myeconfargs+=( --disable-openssl )
+
+ do_configure() {
+ mkdir -p "${BUILD_DIR}" || die
+ pushd "${BUILD_DIR}" >/dev/null || die
+ econf "${myeconfargs[@]}" "${@}"
+ popd >/dev/null || die
+ }
+
+ do_configure --without-cython
+ use python && python_foreach_impl do_configure
+}
+
+src_compile() {
+ python_compile() {
+ emake -C "${BUILD_DIR}"/cython -j1 \
+ VPATH="${S}/cython:${native_builddir}/cython" \
+ imobiledevice_la_LIBADD="${native_builddir}/src/libimobiledevice.la"
+ }
+
+ local native_builddir=${BUILD_DIR}
+ pushd "${BUILD_DIR}" >/dev/null || die
+ emake -j1
+ use python && python_foreach_impl python_compile
+ popd >/dev/null || die
+}
+
+src_install() {
+ python_install() {
+ emake -C "${BUILD_DIR}/cython" -j1 \
+ VPATH="${S}/cython:${native_builddir}/cython" \
+ DESTDIR="${D}" install
+ }
+
+ local native_builddir=${BUILD_DIR}
+ pushd "${BUILD_DIR}" >/dev/null || die
+ emake -j1 DESTDIR="${D}" install
+ use python && python_foreach_impl python_install
+ popd >/dev/null || die
+
+ dodoc docs/html/*
+ if use python; then
+ insinto /usr/include/${PN}/cython
+ doins cython/imobiledevice.pxd
+ fi
+ prune_libtool_files --all
+}
diff --git a/app-pda/libimobiledevice/libimobiledevice-1.2.0.ebuild b/app-pda/libimobiledevice/libimobiledevice-1.2.0.ebuild
new file mode 100644
index 0000000..9a61169
--- /dev/null
+++ b/app-pda/libimobiledevice/libimobiledevice-1.2.0.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_3,3_4,3_5} )
+inherit eutils python-r1
+
+DESCRIPTION="Support library to communicate with Apple iPhone/iPod Touch devices"
+HOMEPAGE="http://www.libimobiledevice.org/"
+SRC_URI="http://www.libimobiledevice.org/downloads/${P}.tar.bz2"
+
+# While COPYING* doesn't mention 'or any later version', all the headers do, hence use +
+LICENSE="GPL-2+ LGPL-2.1+"
+SLOT="0/6" # based on SONAME of libimobiledevice.so
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
+IUSE="gnutls python static-libs"
+
+RDEPEND=">=app-pda/libplist-1.11:=
+ >=app-pda/libusbmuxd-1.0.9:=
+ gnutls? (
+ dev-libs/libgcrypt:0
+ >=dev-libs/libtasn1-1.1
+ >=net-libs/gnutls-2.2.0
+ )
+ !gnutls? ( dev-libs/openssl:0 )
+ python? (
+ ${PYTHON_DEPS}
+ app-pda/libplist[python(-),${PYTHON_USEDEP}]
+ )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ python? ( >=dev-python/cython-0.17[${PYTHON_USEDEP}] )"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DOCS=( AUTHORS NEWS README )
+
+BUILD_DIR="${S}_build"
+
+src_configure() {
+ local ECONF_SOURCE=${S}
+
+ local myeconfargs=( $(use_enable static-libs static) )
+ use gnutls && myeconfargs+=( --disable-openssl )
+
+ do_configure() {
+ mkdir -p "${BUILD_DIR}" || die
+ pushd "${BUILD_DIR}" >/dev/null || die
+ econf "${myeconfargs[@]}" "${@}"
+ popd >/dev/null || die
+ }
+
+ do_configure --without-cython
+ use python && python_foreach_impl do_configure
+}
+
+src_compile() {
+ python_compile() {
+ emake -C "${BUILD_DIR}"/cython -j1 \
+ VPATH="${S}/cython:${native_builddir}/cython" \
+ imobiledevice_la_LIBADD="${native_builddir}/src/libimobiledevice.la"
+ }
+
+ local native_builddir=${BUILD_DIR}
+ pushd "${BUILD_DIR}" >/dev/null || die
+ emake -j1
+ use python && python_foreach_impl python_compile
+ popd >/dev/null || die
+}
+
+src_install() {
+ python_install() {
+ emake -C "${BUILD_DIR}/cython" -j1 \
+ VPATH="${S}/cython:${native_builddir}/cython" \
+ DESTDIR="${D}" install
+ }
+
+ local native_builddir=${BUILD_DIR}
+ pushd "${BUILD_DIR}" >/dev/null || die
+ emake -j1 DESTDIR="${D}" install
+ use python && python_foreach_impl python_install
+ popd >/dev/null || die
+
+ dodoc docs/html/*
+ if use python; then
+ insinto /usr/include/${PN}/cython
+ doins cython/imobiledevice.pxd
+ fi
+ prune_libtool_files --all
+}
next reply other threads:[~2015-12-21 15:43 UTC|newest]
Thread overview: 63+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-12-21 15:43 Ian Stakenvicius [this message]
-- strict thread matches above, loose matches on Subject: below --
2016-01-25 2:21 [gentoo-commits] repo/gentoo:master commit in: app-pda/libimobiledevice/ Mike Gilbert
2016-09-17 8:27 Pacho Ramos
2016-09-17 8:27 Pacho Ramos
2017-05-20 23:46 Michael Weber
2017-06-19 16:16 Alexis Ballier
2018-05-27 18:02 Pacho Ramos
2018-05-27 18:02 Pacho Ramos
2018-06-27 17:49 Pacho Ramos
2018-06-28 8:15 Agostino Sarubbo
2018-07-01 9:24 Sergei Trofimovich
2018-07-02 0:49 Thomas Deutschmann
2018-07-02 18:57 Pacho Ramos
2020-02-10 21:00 Michał Górny
2020-03-05 16:21 Michał Górny
2020-03-23 23:37 James Le Cuirot
2020-05-08 17:11 Agostino Sarubbo
2020-05-09 7:40 Agostino Sarubbo
2020-05-09 7:48 Agostino Sarubbo
2020-05-10 12:40 Andreas Sturmlechner
2020-05-10 13:20 Andreas Sturmlechner
2020-07-16 12:59 Joonas Niilola
2020-07-16 12:59 Joonas Niilola
2020-07-18 10:57 Mart Raudsepp
2020-07-20 12:51 Jason A. Donenfeld
2020-12-17 8:58 Sam James
2020-12-17 16:41 Agostino Sarubbo
2020-12-20 19:07 Thomas Deutschmann
2020-12-20 19:28 Sam James
2021-05-02 18:12 Mikle Kolyada
2021-05-31 23:47 Sam James
2021-08-23 22:59 Marek Szuba
2021-12-25 12:29 Georgy Yakovlev
2022-07-25 18:50 Matthew Smith
2022-07-29 8:04 Matthew Smith
2022-11-16 5:57 WANG Xuerui
2022-12-08 18:53 Matthew Smith
2023-03-26 18:15 Sam James
2023-03-26 18:15 Sam James
2023-03-26 18:15 Sam James
2023-08-13 1:09 Sam James
2023-10-08 15:30 Matthew Smith
2023-10-21 22:48 Sam James
2023-10-21 22:48 Sam James
2023-10-23 14:05 Arthur Zamarin
2023-12-25 8:37 Sam James
2024-03-10 16:46 Michał Górny
2024-03-10 16:46 Michał Górny
2024-03-10 16:46 Michał Górny
2024-03-10 17:10 Michał Górny
2024-03-13 14:56 Matthew Smith
2024-03-13 15:05 Arthur Zamarin
2024-03-13 15:05 Arthur Zamarin
2024-03-13 19:38 Arthur Zamarin
2024-03-14 2:50 Yixun Lan
2024-03-21 17:00 Arthur Zamarin
2024-04-04 16:23 Arthur Zamarin
2024-04-04 16:23 Arthur Zamarin
2024-05-28 22:28 Ionen Wolkens
2024-07-15 4:35 Sam James
2024-07-15 4:35 Sam James
2024-07-15 4:35 Sam James
2024-09-08 12:05 Petr Vaněk
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1450712613.f96ecebd8c52627632dedd94fa3a05133cbe473a.axs@gentoo \
--to=axs@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox